Package writer2latex.office

# Class OfficeStyleFamily

java.lang.Object
writer2latex.office.OfficeStyleFamily

public class OfficeStyleFamily extends Object
Container class representing a style family in OOo

## Constructor Summary

Constructors
Constructor
Description
`OfficeStyleFamily(Class<? extends OfficeStyle> styleClass)`
Create a new OfficeStyleFamily based on a class

## Method Summary

Modifier and Type
Method
Description
`OfficeStyle`
`getDefaultStyle()`
Get the default style for this family
`String`
`getDisplayName(String sName)`
Get the display name for the style with the specified name.
`OfficeStyle`
`getStyle(String sName)`
Get a style by name
`OfficeStyle`
`getStyleByDisplayName(String sDisplayName)`
Get a style by display name.
`Enumeration<OfficeStyle>`
`getStylesEnumeration()`
Get all named styles in the family (ie. excluding the default style)
`void`
`loadStyleFromDOM(Node node, boolean bAutomatic)`
Load a style from a DOM representation
`void`
`setDefaultStyle(OfficeStyle style)`
Define the default style for this family, ie. an unnamed style providing defaults for some style properties.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OfficeStyleFamily

public OfficeStyleFamily(Class<? extends OfficeStyle> styleClass)
Create a new OfficeStyleFamily based on a class

Parameters:
  `styleClass` - the subclass of OfficeStyle used to represent styles in this family

## Method Details

### setDefaultStyle

public void setDefaultStyle(OfficeStyle style)
Define the default style for this family, ie. an unnamed style providing defaults for some style properties. This style cannot be found using getStyle or getStyleByDisplayName.

Parameters:
  `style` - the new default style

### getDefaultStyle

public OfficeStyle getDefaultStyle()
Get the default style for this family

Returns:
  the default style, or null if none is defined

### getStyle

public OfficeStyle getStyle(String sName)
Get a style by name

Parameters:
  `sName` - the name of the style
Returns:
  the style, or null if such a style does not exist

### getStyleByDisplayName

public OfficeStyle getStyleByDisplayName(String sDisplayName)
Get a style by display name. Automatic styles does not have a display name, so only common styles can be retrieved with this method

Parameters:
  `sDisplayName` - the display name of the style
Returns:
  the style, or null if such a style does not exist

### getDisplayName

public String getDisplayName(String sName)
Get the display name for the style with the specified name. If this is an automatic style, the parent style is used

Parameters:
  `sName` - the style name
Returns:
  the display name, or null if the style does not exist

### getStylesEnumeration

public Enumeration<OfficeStyle> getStylesEnumeration()
Get all named styles in the family (ie. excluding the default style)

Returns:
  an enumeration of all styles represented by OfficeStyle objects

### loadStyleFromDOM

public void loadStyleFromDOM(Node node, boolean bAutomatic)
Load a style from a DOM representation

Parameters:
  `node` - the style:... node representing the style
  `bAutomatic` - if true, the style is an automatic style